Subject: [PATCH] mfd: Fix compile for twl-core.c by removing cpu_is_omap usage

From: [email-masked] (Tony Lindgren)
Date: Mon, 17 Sep 2012 15:14:06 -0700

* Paul Walmsley <[email-masked]> [120917 15:09]:
> On Mon, 17 Sep 2012, Tony Lindgren wrote:
> 
> > Commit 7d7e1eba (ARM: OMAP2+: Prepare for irqs.h removal) broke
> > compile for non-omap as include plat/cpu.h was added:
> > 
> > drivers/mfd/twl-core.c:49:22: fatal error: plat/cpu.h: No such file or directory
> > 
> > This header was indirectly included earlier when SPARSE_IRQ was not
> > set, but does not exist on most platforms.
> > 
> > Fix the problem by removing the cpu_is_omap usage that should
> > not exist in drivers at all. We can do this by adding proper
> > clock aliases for the twl-core.c drivers, and drop separate
> > handling for cases when clock framework is not available as
> > the behaviour will stay the same.
> > 
> > Note that we need to add a platform device to avoid using the
> > i2c provided names that may be different on various omaps.
> > 
> > Reported-by: Fengguang Wu <[email-masked]>
> > Reported-by: Stephen Rothwell <[email-masked]>
> > Cc: Paul Walmsley <[email-masked]>
> > Cc: Samuel Ortiz <[email-masked]>
> > Cc: Arnd Bergmann <[email-masked]>
> > Cc: Olof Johansson <[email-masked]>
> > Signed-off-by: Tony Lindgren <[email-masked]>
> > 
> > ---
> > 
> > Samuel, I'd like to queue this via arm-soc as that's where I have
> > the breaking patch is if this patch is OK with you.
> 
> It would be ideal if I could queue this one, due to the clock dependency.  
> Still hoping that we can get the CCF conversion patches in for 3.7.

We need to queue this ASAP and before other patches to fix the
build breakage in linux next. Then you can merge in that commit
too, does that work for you?

Tony